﻿--
-- Script was generated by Devart dbForge Studio 2020 for MySQL, Version 9.0.897.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 26/06/2023 9:39:35
-- Server version: 8.0.30
-- Client version: 4.1
--

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set SQL mode
-- 
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

DROP DATABASE IF EXISTS noticias2023;

CREATE DATABASE noticias2023
CHARACTER SET utf8mb4
COLLATE utf8mb4_0900_ai_ci;

--
-- Set default database
--
USE noticias2023;

--
-- Create table `seccion`
--
CREATE TABLE seccion (
  id int NOT NULL,
  nombre varchar(100) DEFAULT NULL,
  foto varchar(100) DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 5461,
CHARACTER SET utf8mb4,
COLLATE utf8mb4_0900_ai_ci;

--
-- Create table `autor`
--
CREATE TABLE autor (
  id int NOT NULL,
  nombre varchar(100) DEFAULT NULL,
  foto varchar(100) DEFAULT NULL,
  fechaNacimiento date DEFAULT NULL,
  correo varchar(100) DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 2730,
CHARACTER SET utf8mb4,
COLLATE utf8mb4_0900_ai_ci;

--
-- Create table `noticia`
--
CREATE TABLE noticia (
  idNoticia int NOT NULL,
  titular varchar(255) DEFAULT NULL,
  textoCorto varchar(800) DEFAULT NULL,
  textoLargo longtext DEFAULT NULL,
  portada tinyint(1) DEFAULT NULL,
  seccion int DEFAULT NULL,
  fecha datetime DEFAULT NULL,
  foto varchar(255) DEFAULT NULL,
  autor int DEFAULT NULL,
  PRIMARY KEY (idNoticia)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 4096,
CHARACTER SET utf8mb4,
COLLATE utf8mb4_0900_ai_ci;

--
-- Create foreign key
--
ALTER TABLE noticia
ADD CONSTRAINT fkNoticiaAutor FOREIGN KEY (autor)
REFERENCES autor (id);

--
-- Create foreign key
--
ALTER TABLE noticia
ADD CONSTRAINT fkNoticiaSeccion FOREIGN KEY (seccion)
REFERENCES seccion (id);

-- 
-- Dumping data for table seccion
--
INSERT INTO seccion VALUES
(1, 'Deportes', NULL),
(2, 'Nacional', NULL),
(3, 'Cultura', NULL);

-- 
-- Dumping data for table autor
--
INSERT INTO autor VALUES
(1, 'ramon', '1anonimo.png', NULL, 'ramon@alpe.es'),
(2, 'daniel', '2anonimo.png', NULL, ''),
(3, 'Susana', '3anonimo.png', NULL, ''),
(4, 'luis', '4esparragos.png', '2023-06-10', 'ramon@alpe.es'),
(5, 'lorena', '', '2023-06-15', 'lorena@alpe.es'),
(9, 'daniel', '91312307.png', '2023-06-14', 'daniel@alpe.es');

-- 
-- Dumping data for table noticia
--
INSERT INTO noticia VALUES
(1, 'Php', 'Php', 'php', 1, 2, '2023-06-22 00:00:00', '1lechugas.png', 1),
(2, 'no es importante', 'aa', 'aa', 0, 2, '2023-06-23 00:00:00', '2mandarina.png', 1),
(3, 'Las novedades del mvc', 'aaa', 'aaaaa', 1, 2, '2023-06-15 00:00:00', '3lechugas.png', 2),
(5, 'sin portada', 'asasdas', 'dasdasdasdasd', 0, 1, NULL, '5melon.png', 1);

-- 
-- Restore previous SQL mode
-- 
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS = @OLD_FOREIGN_KEY_CHECKS */;